Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#676 Le 26/11/2011, à 15:10

friz

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Oneiric 11.10 32 bit

fred@Mababasse:~$ Dofus_Uplauncher
Cette option n'est pas disponible. Veuillez consulter --help pour toutes les utilisations possibles.
fred@Mababasse:~$ /opt/Dofus_Paquet/share/UpLauncher

(UpLauncher:2558): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »

(UpLauncher:2558): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »

(UpLauncher:2558): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »

(UpLauncher:2558): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »
not running
Destroyed
fred@Mababasse:~$ dpkg -l | grep 'libssl'
ii  libssl0.9.8                            0.9.8o-7ubuntu1                         SSL shared libraries
ii  libssl0.9.8-dbg                        0.9.8o-7ubuntu1                         Symbol tables for libssl and libcrypto
ii  libssl1.0.0                            1.0.0e-2ubuntu4                         SSL shared libraries
fred@Mababasse:~$ 

Hors ligne

#677 Le 27/11/2011, à 02:57

nematan

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

oneiric 11.10 32 bit


nematan@nematan-RR807AA-ABF-t3739-fr:~$ Dofus_Uplauncher
Cette option n'est pas disponible. Veuillez consulter --help pour toutes les utilisations possibles.
nematan@nematan-RR807AA-ABF-t3739-fr:~$ /opt/Dofus_Paquet/share/UpLauncher


(UpLauncher:24401): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »
not running
Destroyed
nematan@nematan-RR807AA-ABF-t3739-fr:~$ dpkg -l | grep 'libssl'
ii  libssl0.9.8                            0.9.8o-7ubuntu1                         SSL shared libraries
ii  libssl1.0.0                            1.0.0e-2ubuntu4                         SSL shared libraries
nematan@nematan-RR807AA-ABF-t3739-fr:~$

Hors ligne

#678 Le 02/12/2011, à 18:47

nematan

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

aucune réponse ?

Hors ligne

#679 Le 05/12/2011, à 20:11

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

nematan a écrit :

aucune réponse ?

Désolé, j'ai vraiment pas une seconde à moi en ce moment. Mais après avoir fait quelques test en machine virtuelle, je je n'arrive pas à reproduire ton problème. Je regarderai ça plus en détail en fin de semaine.

Hors ligne

#680 Le 07/12/2011, à 18:17

yakoo29

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bonjour j'ai un probleme moi aussi... je lance l'installation de dofus et voici le resultat.

Verifying archive integrity... All good.
Uncompressing Dofus.......................................................................
Dofus 2 installation is starting...
Checking for softwares...
check for curl ... not found
check for wget ... ok
check for zenity ... ok
check for kdesu ... not found
check for kdesudo ... not found
check for gksudo ... ok
check for Adobe AIR Application Installer ... ok
check for dpkg ... ok
Aucun paquet ne correspond à dofus.c9eccbdba4e09304deefb106465bc17f6d6749b9.1.
Installing Dofus...
/home/kevin/ankama/Dofus

(gksudo:2648): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »

(gksudo:2648): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »

(gksudo:2648): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »

(gksudo:2648): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »

(gksudo:2655): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »

(gksudo:2655): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »

(gksudo:2655): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »

(gksudo:2655): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »
mv: impossible de déplacer «/home/kevin/ankama/Dofus/share/Reg» vers «/home/kevin/ankama/Dofus/share/reg/Reg»: Le dossier n'est pas vide
mv: «/home/kevin/ankama/Dofus/share/reg/share/Reg.swf» et «/home/kevin/ankama/Dofus/share/reg/Reg.swf» identifient le même fichier
ln: création d'un lien symbolique «/home/kevin/ankama/Dofus/share/reg/share/Reg.swf»: Le fichier existe
ln: création d'un lien symbolique «/home/kevin/ankama/Dofus/share/reg/share/content»: Le fichier existe
ln: création d'un lien symbolique «/home/kevin/ankama/Dofus/share/reg/share/config.xml»: Le fichier existe
Creating a desktop entry...
Starting game...
./UpLauncher: error while loading shared libraries: libssl.so.0.9.8: cannot open shared object file: No such file or directory

Ensuite si je lance le nouveau raccourci, rien ne se passe. Et si je lance dofus en directe, j'ai le droit a un message d'erreur " A fatal error has occured. The kernel was unable to load the main configuration file."

Hors ligne

#681 Le 07/12/2011, à 18:59

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Salut,

Tu as le problème classique de la libssl.

sudo apt-get install libssl0.9.8

Hors ligne

#682 Le 07/12/2011, à 19:27

yakoo29

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Merci pour la rapidité.
L'up se lance. Mise a jour en cours.
Encore merci smile

Hors ligne

#683 Le 23/02/2012, à 21:57

loulou21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

salut a toi yoann jai installer dofus en lancant tout tes conseil le dofus updater marche mais quand je met jouer il m'ouvre un autre ecran noir et tout s'eteind ensuite comment y remedier
merci d'avance


loulou21

Hors ligne

#684 Le 28/02/2012, à 21:03

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

loulou21 a écrit :

salut a toi yoann jai installer dofus en lancant tout tes conseil le dofus updater marche mais quand je met jouer il m'ouvre un autre ecran noir et tout s'eteind ensuite comment y remedier
merci d'avance

Salut,

Comment as-tu installé AIR, le deb pour 32 bit ou le .bin pour 64bit ?

Et sinon, peux-tu essayer de lancer Dofus via cette commande pour me dire les erreurs que ça renvoi ?

/opt/Dofus_Paquet/bin/Dofus

Hors ligne

#685 Le 06/03/2012, à 15:12

Valezan

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bonjour,
Un peu hors sujet mais je poste tout de même sur ce fil qui semble être suivi par beaucoup de joueurs dont certains, utilisateurs avancés de Linux.
Adobe a arrêté le développement d'AdobeAIR pour Linux, savez-vous s'il existe déjà des projets libres pour remplacer ce logiciel devenu (malheureusement) indispensable à Dofus ? On peut lire que "... all is not entirely lost; Adobe will be providing a “Linux porting kit” for Air for their Open Screen Project partners who can take it upon themselves create and build their own implementations of Air on Linux." (source) mais je ne trouve rien pour le moment...
Cordialement

(raison de l'édition : erreur)

Dernière modification par Valezan (Le 06/03/2012, à 15:24)

Hors ligne

#686 Le 06/03/2012, à 16:26

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Valezan a écrit :

Bonjour,
Un peu hors sujet mais je poste tout de même sur ce fil qui semble être suivi par beaucoup de joueurs dont certains, utilisateurs avancés de Linux.
Adobe a arrêté le développement d'AdobeAIR pour Linux, savez-vous s'il existe déjà des projets libres pour remplacer ce logiciel devenu (malheureusement) indispensable à Dofus ? On peut lire que "... all is not entirely lost; Adobe will be providing a “Linux porting kit” for Air for their Open Screen Project partners who can take it upon themselves create and build their own implementations of Air on Linux." (source) mais je ne trouve rien pour le moment...
Cordialement

(raison de l'édition : erreur)

Je n'ai rien trouvé non plus.
Ca m'étonnerait que beaucoup de développeurs soient intéressés par faire un AIR libre, c'est pas mal de boulot. A ma connaissance, peu d'applications l'utilisent.
Surtout que Lightspark et Gnash sont pas encore utilisable complètement et que AIR a besoin fortement de Flash pour fonctionner.

Donc à mon avis, à long terme, Dofus sous linux, c'est fini.

J'ai aussi lu que Adobe a décidé d'arrêter le support "classique" de Linux pour flash. Il sera dispo que via une nouvelle API de plugin de Chrome.

Hors ligne

#687 Le 07/03/2012, à 09:48

Valezan

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bien que ce soit une triste nouvelle, merci pour tes précisions yoann21, qui confirment ce que je craignais.

Hors ligne

#688 Le 08/03/2012, à 04:56

Crazystorm

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bonsoir (ou bonjour vu l'heure qu'il est),
Comme quelques utilisateurs, je rencontre un problème lors du chargement de l'Updater de Dofus. Lorsque je le lance directement (via l'icone du menu), rien ne se passe et lorsque j'utilise la console (/opt/Dofus_Paquet/share/UpLauncher), la fenêtre s'affiche avec un message du style "Le launcher est déjà lancé..". Pas moyen d'être tenu au courant de l'avancement des mises à jours donc..

La commande :

dpkg -l | grep 'libssl'

me renvoit :

ii  libssl0.9.8                                   0.9.8o-7ubuntu1                            SSL shared libraries
ii  libssl1.0.0                                   1.0.0e-2ubuntu4.2                          SSL shared libraries

Rien de bien méchant d'après moi..
Aurais-tu une idée yoann ?

Merci d'avance

EDIT : J'ai fait quelques manipulations pour essayer de cibler le problème :

sudo chown romain /usr/bin/Dofus_Direct
sudo chown romain /usr/bin/Dofus_Uplauncher
sudo chown romain /opt/Dofus_Paquet

Je deviens donc propriétaire de tous les fichiers relatifs à Dofus. Malgré cela, le chargement du launcher via le menu ne fait toujours rien.
La commande :

/opt/Dofus_Paquet/UpLauncher

m'ouvre le launcher qui m'affiche toujours le message d'erreur disant qu'une autre instance est déjà ouverte. J'ai regardé les processus, pas de Dofus ni de Reg.

Cependant, si je fais :

sudo /opt/Dofus_Paquet/UpLauncher

le launcher s'ouvre correctement et je peux commencer à jouer.

Ce que j'aimerais donc, c'est pouvoir lancer le launcher depuis le menu.

Dernière modification par Crazystorm (Le 08/03/2012, à 11:57)

Hors ligne

#689 Le 08/03/2012, à 12:58

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Salut,

Donc quand tu as le message que l'updater est déjà lancé, ce n'est pas vraiment le cas.
Pour vérifier si une autre instance est en cours, l'updater vérifie si un fichier de "lock" a été créé.
Le problème c'est que si tu as lancé l'updater en root et que le fichier de lock est resté, tu ne pourras jamais relancé l'updater en user non root.

Fait donc ces commandes et retente de lancer l'updater depuis le menu :

sudo rm /opt/Dofus_Paquet/share/com.ankama.dofus2.lock
sudo chown -R romain:romain /opt/Dofus_Paquet

Hors ligne

#690 Le 08/03/2012, à 13:03

Crazystorm

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Merci pour ta réponse.

sudo rm /opt/Dofus_Paquet/share/com.ankama.dofus2.lock
rm: impossible de supprimer «/opt/Dofus_Paquet/share/com.ankama.dofus2.lock»: Aucun fichier ou dossier de ce type

J'ai retenté de lancer le launcher après la commande chown, il s'est lancé correctement. C'était donc un problème de droit au niveau de mon groupe ?

Hors ligne

#691 Le 08/03/2012, à 14:32

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Crazystorm a écrit :

Merci pour ta réponse.

sudo rm /opt/Dofus_Paquet/share/com.ankama.dofus2.lock
rm: impossible de supprimer «/opt/Dofus_Paquet/share/com.ankama.dofus2.lock»: Aucun fichier ou dossier de ce type

J'ai retenté de lancer le launcher après la commande chown, il s'est lancé correctement. C'était donc un problème de droit au niveau de mon groupe ?

Non, en fait t'avais pas mis l'option -R (récursif) au chown donc du coup t'as changé les droits uniquement du répertoire et non de son contenu.

Hors ligne

#692 Le 08/03/2012, à 14:46

Crazystorm

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

En effet, ça marche mieux ainsi.

Merci de ton aide ! smile

Hors ligne

#693 Le 08/03/2012, à 22:07

Alhowa

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bonjour smile

Depuis que je suis passé sous Ubuntu Studio (64bit) il m'est impossible d'installer AdobeAIR. J'ai recherché absolument partout, suivi la documentation à la lettre. J'ai même demandé de l'aide au support du jeu qui n'a, hélas, pas trouvé de solution à mon problème (étant donné qu'il ne se situe pas au niveau du jeu).

J'ai les librairies 32bit.

Lorsque je lance la commande :

wget http://airdownload.adobe.com/air/lin/download/latest/AdobeAIRInstaller.bin
chmod 755 AdobeAIRInstaller.bin
./AdobeAIRInstaller.bin

A la fin j'obtiens ça à chaque fois :

(setup:12706): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': Aucun fichier ou dossier de ce type

(setup:12706): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': Aucun fichier ou dossier de ce type

J'espère que vous pourrez m'aider.

Cordialement

Dernière modification par Alhowa (Le 09/03/2012, à 13:01)

Hors ligne

#694 Le 13/03/2012, à 16:28

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Alhowa a écrit :

Bonjour smile

Depuis que je suis passé sous Ubuntu Studio (64bit) il m'est impossible d'installer AdobeAIR. J'ai recherché absolument partout, suivi la documentation à la lettre. J'ai même demandé de l'aide au support du jeu qui n'a, hélas, pas trouvé de solution à mon problème (étant donné qu'il ne se situe pas au niveau du jeu).

J'ai les librairies 32bit.

Lorsque je lance la commande :

wget http://airdownload.adobe.com/air/lin/download/latest/AdobeAIRInstaller.bin
chmod 755 AdobeAIRInstaller.bin
./AdobeAIRInstaller.bin

A la fin j'obtiens ça à chaque fois :

(setup:12706): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': Aucun fichier ou dossier de ce type

(setup:12706): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': Aucun fichier ou dossier de ce type

J'espère que vous pourrez m'aider.

Cordialement

Salut smile

Tu devrais essayer de te servir de mon script d'installation pour les distro non supportées (ne pas l'exécuter en root) :
http://dl.dropbox.com/u/12943198/Dofus.sh

Ce script utilise le sdk de AIR, qui ne nécessite pas d'installation, donc ça devrait le faire.

Dernière modification par yoann21 (Le 13/03/2012, à 16:28)

Hors ligne

#695 Le 14/03/2012, à 16:37

Alhowa

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Ouaw !
En effet, maintenant le jeu marche super bien et Adobe AIR également.

Merci beaucoup big_smile

Hors ligne

#696 Le 25/03/2012, à 19:11

loulou21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

j'ai trouver un recour jai installer wine j'ai ensuite installer flash windows la derniere version et jai telecharger dofus windows et depuis il tourne ^^


loulou21

Hors ligne

#697 Le 02/05/2012, à 13:14

neolinux51

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Salut,
Voila mon soucis je n'arrive pas a installer adobe ai,
je suis sous Ubuntu 12.04 64 bits
j'ai donc suivit le tuto en entrant les commandes dans le terminal
une fois cette commande rentrer dans la console sudo ./AdobeAIRInstaller.bin je me retrouve avec l installateur de adobe air
qui me demande de si j accepte les termes du contrat enfin l'installation se lance et le message d'erreur suivant apparaît:
"Adobe AIR n'a pas pu être installé. Installez Gnome Keyring ou KDE KWallet avant d'installer Adobe AIR."
merci de ta réponse

Hors ligne

#698 Le 02/05/2012, à 16:18

flammecan

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Mois aussi sa faisait pareille tape dans le terminal:

$sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
$sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0

et essaie de reinstaller adobe [ si tu veut installer dofus telecharge le fichier dofus install.run: Dofus download (click droit "save link as...) fait le tourner, cela installeras adobe air automatiquement]

Dernière modification par flammecan (Le 02/05/2012, à 16:26)


Le savoir n'est pas de la sagesse si il est mal utilisé!

Hors ligne

#699 Le 03/05/2012, à 19:51

nakmuay

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

salut smile
J'ai installer linux Ubuntu 12.04 a la place de windows starter sur mon netbook et j'ai enfin réussi à installer dofus et je trouve que c'est vraiment pas fluide, même moins que sur windows, aidez moi svp hmm

Hors ligne

#700 Le 03/05/2012, à 20:07

aspicdu69

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Salut,
Je suis actuellement sous kubuntu 12.04 - 64 bit, l'installation de dofus s'est plûtôt bien passée, j'ai très bien suivi le tuto mais quand j'essai de lancer l'UpLauncher voci ce que ca me retourne

~/ankama/Dofus/share$ ./UpLauncher 
./UpLauncher: error while loading shared libraries: libjpeg.so.62: cannot open shared object file: No such file or directory

Bien évidemment j'ai installé la lib en question via cette commande :

sudo apt-get install libjpeg62

Mais l'erreur persiste...
Help please sad

Dernière modification par aspicdu69 (Le 03/05/2012, à 20:08)

Hors ligne

Haut de page ↑